KIDS Distribution saved on Sep 24, 2015@14:51:13
IB*2*545 UFT Build
**KIDS**:IB*2.0*545^

**INSTALL NAME**
IB*2.0*545
"BLD",9242,0)
IB*2.0*545^INTEGRATED BILLING^0^3150924^y
"BLD",9242,1,0)
^^73^73^3150923^
"BLD",9242,1,1,0)
This patch is part of the Pharmacy Safety Updates project which was 
"BLD",9242,1,2,0)
established to address specific New Service Requests (NSRs) as well as some
"BLD",9242,1,3,0)
Remedy Tickets related to the VistA Pharmacy applications as approved by the
"BLD",9242,1,4,0)
Health Systems Enterprise Systems Manager (ESM).
"BLD",9242,1,5,0)
 
"BLD",9242,1,6,0)
This project is comprised of patches from five different applications, as
"BLD",9242,1,7,0)
shown below:
"BLD",9242,1,8,0)
  
"BLD",9242,1,9,0)
   APPLICATION/VERSION                                  PATCH
"BLD",9242,1,10,0)
   -----------------------------------------------------------------
"BLD",9242,1,11,0)
   OUTPATIENT PHARMACY (OP) V. 7.0                      PSO*7*444
"BLD",9242,1,12,0)
   INTEGRATED BILLING (IB) V. 2.0                       IB*2*545
"BLD",9242,1,13,0)
   PHARMACY DATA MANAGEMENT (PDM) V. 1.0                PSS*1*189
"BLD",9242,1,14,0)
   NATIONAL DRUG FILE (NDF) V. 4.0                      PSN*4*429
"BLD",9242,1,15,0)
   INPATIENT MEDICATIONS (IM) V.5.0                     PSJ*5*313
"BLD",9242,1,16,0)
 
"BLD",9242,1,17,0)
The following New service Requests (NSR) and Remedy Tickets are being 
"BLD",9242,1,18,0)
addressed by this project:
"BLD",9242,1,19,0)
 
"BLD",9242,1,20,0)
 NSRs 20060601/20111206 Allow Dispensing of Greater Than 90 Day Supply
"BLD",9242,1,21,0)
 ---------------------------------------------------------------------------
"BLD",9242,1,22,0)
 The Outpatient Pharmacy and supporting VistA applications are being modified
"BLD",9242,1,23,0)
 to allow dispensing of more than 90 day supply fill for outpatient 
"BLD",9242,1,24,0)
 prescriptions. The new limit will be 365 days and will be set for each drug
"BLD",9242,1,25,0)
 individually. See below for more information on specific menu 
"BLD",9242,1,26,0)
 options related to this enhancement.  
"BLD",9242,1,27,0)
 
"BLD",9242,1,28,0)
 NSR 20110308 Addition of a STRENGTH Property to IV ADDITIVES and Premixed 
"BLD",9242,1,29,0)
              IV SOLUTIONS
"BLD",9242,1,30,0)
 ----------------------------------------------------------------------------
"BLD",9242,1,31,0)
 Although patches PSJ*5*289 and PSS*1*174 introduced quite a few enhancements
"BLD",9242,1,32,0)
 to the IV Additives and IV Solutions ordering functionality they did not go
"BLD",9242,1,33,0)
 far enough in addressing all the issues originally in the NSR. This patch 
"BLD",9242,1,34,0)
 will extend the display of the IV Additive strength to other parts of the
"BLD",9242,1,35,0)
 Inpatient Medications and Pharmacy Data Management applications. In 
"BLD",9242,1,36,0)
 addition, it will also impose a new rule where an Orderable Item can only
"BLD",9242,1,37,0)
 have one IV Solution for a specific volume when it is marked to be used in
"BLD",9242,1,38,0)
 the CPRS IV Fluid Order Entry. 
"BLD",9242,1,39,0)
  
"BLD",9242,1,40,0)
 NSR 20080907 Inactivate Pharmacy Standard Schedule
"BLD",9242,1,41,0)
 ----------------------------------------------------------------------------
"BLD",9242,1,42,0)
 This enhancement is a conversion of an existing Class III software solution
"BLD",9242,1,43,0)
 that permits an entry in the ADMINISTRATION SCHEDULE file (#51.1) to be 
"BLD",9242,1,44,0)
 marked as INACTIVE via the Standard Schedule Edit [PSS SCHEDULE EDIT] option.
"BLD",9242,1,45,0)
 Once marked INACTIVE the schedule is automatically removed them from the list
"BLD",9242,1,46,0)
 of schedules to be displayed/chosen when entering an order in CPRS.
"BLD",9242,1,47,0)
 
"BLD",9242,1,48,0)
 Remedy 387051 Patient Medication Profile Bad Address Indicator display
"BLD",9242,1,49,0)
 ----------------------------------------------------------------------------
"BLD",9242,1,50,0)
 The Outpatient Pharmacy medication profile has a display problem for a
"BLD",9242,1,51,0)
 prescription with the following characteristics: 2-letter status (e.g., DC), 
"BLD",9242,1,52,0)
 drug marked for CMOP and Bad Address Indicator. When a prescription with all
"BLD",9242,1,53,0)
 these three features is displayed the DAY SUP column value is being 
"BLD",9242,1,54,0)
 truncated, as illustrated below where the Day Supply value is actually 90
"BLD",9242,1,55,0)
 and it displays as 9: 
"BLD",9242,1,56,0)
 
"BLD",9242,1,57,0)
                                                          ISSUE  LAST REF DAY
"BLD",9242,1,58,0)
 #  RX #         DRUG                              QTY ST  DATE  FILL REM SUP
"BLD",9242,1,59,0)
 --------------------------------DISCONTINUED--------------------------------
"BLD",9242,1,60,0)
 1 100005604$    TOBRAMYCIN 80MG/2ML INJ           100 DC>B01-21 01-21   0  9
"BLD",9242,1,61,0)
  
"BLD",9242,1,62,0)
 
"BLD",9242,1,63,0)
The following Integrated Billing copay functionality was modified:
"BLD",9242,1,64,0)
  
"BLD",9242,1,65,0)
1. Cancel/Edit/Add Patient Charges [IB CANCEL/EDIT/ADD CHARGES]
"BLD",9242,1,66,0)
   This menu option was modified to allow up to 12 copay units to be added
"BLD",9242,1,67,0)
   for a patient. Before the maximum limit was 3 given that 90 days supply
"BLD",9242,1,68,0)
   corresponded to 3 copay units (1 unit for each 30 days supply)
"BLD",9242,1,69,0)
  
"BLD",9242,1,70,0)
2. The upper limit for the value allowed for the DAYS SUPPLY field (#.06) in
"BLD",9242,1,71,0)
   the IB BILL/CLAIMS PRESCRIPTION REFILL file (#362.4) was changed from 90
"BLD",9242,1,72,0)
   to 365 in order to accomodate the new limit for this field in the
"BLD",9242,1,73,0)
   Outpatient Pharmacy application.
"BLD",9242,4,0)
^9.64PA^362.4^1
"BLD",9242,4,362.4,0)
362.4
"BLD",9242,4,362.4,2,0)
^9.641^362.4^1
"BLD",9242,4,362.4,2,362.4,0)
IB BILL/CLAIMS PRESCRIPTION REFILL  (File-top level)
"BLD",9242,4,362.4,2,362.4,1,0)
^9.6411^.06^1
"BLD",9242,4,362.4,2,362.4,1,.06,0)
DAYS SUPPLY
"BLD",9242,4,362.4,222)
y^n^p^^^^n^^n
"BLD",9242,4,362.4,224)

"BLD",9242,4,"APDD",362.4,362.4)

"BLD",9242,4,"APDD",362.4,362.4,.06)

"BLD",9242,4,"B",362.4,362.4)

"BLD",9242,6.3)
8
"BLD",9242,"ABPKG")
n
"BLD",9242,"KRN",0)
^9.67PA^779.2^20
"BLD",9242,"KRN",.4,0)
.4
"BLD",9242,"KRN",.401,0)
.401
"BLD",9242,"KRN",.402,0)
.402
"BLD",9242,"KRN",.403,0)
.403
"BLD",9242,"KRN",.5,0)
.5
"BLD",9242,"KRN",.84,0)
.84
"BLD",9242,"KRN",3.6,0)
3.6
"BLD",9242,"KRN",3.8,0)
3.8
"BLD",9242,"KRN",9.2,0)
9.2
"BLD",9242,"KRN",9.8,0)
9.8
"BLD",9242,"KRN",9.8,"NM",0)
^9.68A^1^1
"BLD",9242,"KRN",9.8,"NM",1,0)
IBECEAU2^^0^B20399416
"BLD",9242,"KRN",9.8,"NM","B","IBECEAU2",1)

"BLD",9242,"KRN",19,0)
19
"BLD",9242,"KRN",19.1,0)
19.1
"BLD",9242,"KRN",101,0)
101
"BLD",9242,"KRN",409.61,0)
409.61
"BLD",9242,"KRN",771,0)
771
"BLD",9242,"KRN",779.2,0)
779.2
"BLD",9242,"KRN",870,0)
870
"BLD",9242,"KRN",8989.51,0)
8989.51
"BLD",9242,"KRN",8989.52,0)
8989.52
"BLD",9242,"KRN",8994,0)
8994
"BLD",9242,"KRN","B",.4,.4)

"BLD",9242,"KRN","B",.401,.401)

"BLD",9242,"KRN","B",.402,.402)

"BLD",9242,"KRN","B",.403,.403)

"BLD",9242,"KRN","B",.5,.5)

"BLD",9242,"KRN","B",.84,.84)

"BLD",9242,"KRN","B",3.6,3.6)

"BLD",9242,"KRN","B",3.8,3.8)

"BLD",9242,"KRN","B",9.2,9.2)

"BLD",9242,"KRN","B",9.8,9.8)

"BLD",9242,"KRN","B",19,19)

"BLD",9242,"KRN","B",19.1,19.1)

"BLD",9242,"KRN","B",101,101)

"BLD",9242,"KRN","B",409.61,409.61)

"BLD",9242,"KRN","B",771,771)

"BLD",9242,"KRN","B",779.2,779.2)

"BLD",9242,"KRN","B",870,870)

"BLD",9242,"KRN","B",8989.51,8989.51)

"BLD",9242,"KRN","B",8989.52,8989.52)

"BLD",9242,"KRN","B",8994,8994)

"BLD",9242,"QDEF")
^^^^NO^^^^NO^^NO
"BLD",9242,"QUES",0)
^9.62^^
"BLD",9242,"REQB",0)
^9.611^1^1
"BLD",9242,"REQB",1,0)
IB*2.0*176^2
"BLD",9242,"REQB","B","IB*2.0*176",1)

"FIA",362.4)
IB BILL/CLAIMS PRESCRIPTION REFILL
"FIA",362.4,0)
^IBA(362.4,
"FIA",362.4,0,0)
362.4I
"FIA",362.4,0,1)
y^n^p^^^^n^^n
"FIA",362.4,0,10)

"FIA",362.4,0,11)

"FIA",362.4,0,"RLRO")

"FIA",362.4,0,"VR")
2.0^IB
"FIA",362.4,362.4)
1
"FIA",362.4,362.4,.06)

"MBREQ")
0
"PKG",192,-1)
1^1
"PKG",192,0)
INTEGRATED BILLING^IB^INTEGRATED BILLING
"PKG",192,20,0)
^9.402P^1^1
"PKG",192,20,1,0)
2^^IBAXDR
"PKG",192,20,1,1)

"PKG",192,20,"B",2,1)

"PKG",192,22,0)
^9.49I^1^1
"PKG",192,22,1,0)
2.0^2940321^2940414
"PKG",192,22,1,"PAH",1,0)
545^3150924
"PKG",192,22,1,"PAH",1,1,0)
^^73^73^3150924
"PKG",192,22,1,"PAH",1,1,1,0)
This patch is part of the Pharmacy Safety Updates project which was 
"PKG",192,22,1,"PAH",1,1,2,0)
established to address specific New Service Requests (NSRs) as well as some
"PKG",192,22,1,"PAH",1,1,3,0)
Remedy Tickets related to the VistA Pharmacy applications as approved by the
"PKG",192,22,1,"PAH",1,1,4,0)
Health Systems Enterprise Systems Manager (ESM).
"PKG",192,22,1,"PAH",1,1,5,0)
 
"PKG",192,22,1,"PAH",1,1,6,0)
This project is comprised of patches from five different applications, as
"PKG",192,22,1,"PAH",1,1,7,0)
shown below:
"PKG",192,22,1,"PAH",1,1,8,0)
  
"PKG",192,22,1,"PAH",1,1,9,0)
   APPLICATION/VERSION                                  PATCH
"PKG",192,22,1,"PAH",1,1,10,0)
   -----------------------------------------------------------------
"PKG",192,22,1,"PAH",1,1,11,0)
   OUTPATIENT PHARMACY (OP) V. 7.0                      PSO*7*444
"PKG",192,22,1,"PAH",1,1,12,0)
   INTEGRATED BILLING (IB) V. 2.0                       IB*2*545
"PKG",192,22,1,"PAH",1,1,13,0)
   PHARMACY DATA MANAGEMENT (PDM) V. 1.0                PSS*1*189
"PKG",192,22,1,"PAH",1,1,14,0)
   NATIONAL DRUG FILE (NDF) V. 4.0                      PSN*4*429
"PKG",192,22,1,"PAH",1,1,15,0)
   INPATIENT MEDICATIONS (IM) V.5.0                     PSJ*5*313
"PKG",192,22,1,"PAH",1,1,16,0)
 
"PKG",192,22,1,"PAH",1,1,17,0)
The following New service Requests (NSR) and Remedy Tickets are being 
"PKG",192,22,1,"PAH",1,1,18,0)
addressed by this project:
"PKG",192,22,1,"PAH",1,1,19,0)
 
"PKG",192,22,1,"PAH",1,1,20,0)
 NSRs 20060601/20111206 Allow Dispensing of Greater Than 90 Day Supply
"PKG",192,22,1,"PAH",1,1,21,0)
 ---------------------------------------------------------------------------
"PKG",192,22,1,"PAH",1,1,22,0)
 The Outpatient Pharmacy and supporting VistA applications are being modified
"PKG",192,22,1,"PAH",1,1,23,0)
 to allow dispensing of more than 90 day supply fill for outpatient 
"PKG",192,22,1,"PAH",1,1,24,0)
 prescriptions. The new limit will be 365 days and will be set for each drug
"PKG",192,22,1,"PAH",1,1,25,0)
 individually. See below for more information on specific menu 
"PKG",192,22,1,"PAH",1,1,26,0)
 options related to this enhancement.  
"PKG",192,22,1,"PAH",1,1,27,0)
 
"PKG",192,22,1,"PAH",1,1,28,0)
 NSR 20110308 Addition of a STRENGTH Property to IV ADDITIVES and Premixed 
"PKG",192,22,1,"PAH",1,1,29,0)
              IV SOLUTIONS
"PKG",192,22,1,"PAH",1,1,30,0)
 ----------------------------------------------------------------------------
"PKG",192,22,1,"PAH",1,1,31,0)
 Although patches PSJ*5*289 and PSS*1*174 introduced quite a few enhancements
"PKG",192,22,1,"PAH",1,1,32,0)
 to the IV Additives and IV Solutions ordering functionality they did not go
"PKG",192,22,1,"PAH",1,1,33,0)
 far enough in addressing all the issues originally in the NSR. This patch 
"PKG",192,22,1,"PAH",1,1,34,0)
 will extend the display of the IV Additive strength to other parts of the
"PKG",192,22,1,"PAH",1,1,35,0)
 Inpatient Medications and Pharmacy Data Management applications. In 
"PKG",192,22,1,"PAH",1,1,36,0)
 addition, it will also impose a new rule where an Orderable Item can only
"PKG",192,22,1,"PAH",1,1,37,0)
 have one IV Solution for a specific volume when it is marked to be used in
"PKG",192,22,1,"PAH",1,1,38,0)
 the CPRS IV Fluid Order Entry. 
"PKG",192,22,1,"PAH",1,1,39,0)
  
"PKG",192,22,1,"PAH",1,1,40,0)
 NSR 20080907 Inactivate Pharmacy Standard Schedule
"PKG",192,22,1,"PAH",1,1,41,0)
 ----------------------------------------------------------------------------
"PKG",192,22,1,"PAH",1,1,42,0)
 This enhancement is a conversion of an existing Class III software solution
"PKG",192,22,1,"PAH",1,1,43,0)
 that permits an entry in the ADMINISTRATION SCHEDULE file (#51.1) to be 
"PKG",192,22,1,"PAH",1,1,44,0)
 marked as INACTIVE via the Standard Schedule Edit [PSS SCHEDULE EDIT] option.
"PKG",192,22,1,"PAH",1,1,45,0)
 Once marked INACTIVE the schedule is automatically removed them from the list
"PKG",192,22,1,"PAH",1,1,46,0)
 of schedules to be displayed/chosen when entering an order in CPRS.
"PKG",192,22,1,"PAH",1,1,47,0)
 
"PKG",192,22,1,"PAH",1,1,48,0)
 Remedy 387051 Patient Medication Profile Bad Address Indicator display
"PKG",192,22,1,"PAH",1,1,49,0)
 ----------------------------------------------------------------------------
"PKG",192,22,1,"PAH",1,1,50,0)
 The Outpatient Pharmacy medication profile has a display problem for a
"PKG",192,22,1,"PAH",1,1,51,0)
 prescription with the following characteristics: 2-letter status (e.g., DC), 
"PKG",192,22,1,"PAH",1,1,52,0)
 drug marked for CMOP and Bad Address Indicator. When a prescription with all
"PKG",192,22,1,"PAH",1,1,53,0)
 these three features is displayed the DAY SUP column value is being 
"PKG",192,22,1,"PAH",1,1,54,0)
 truncated, as illustrated below where the Day Supply value is actually 90
"PKG",192,22,1,"PAH",1,1,55,0)
 and it displays as 9: 
"PKG",192,22,1,"PAH",1,1,56,0)
 
"PKG",192,22,1,"PAH",1,1,57,0)
                                                          ISSUE  LAST REF DAY
"PKG",192,22,1,"PAH",1,1,58,0)
 #  RX #         DRUG                              QTY ST  DATE  FILL REM SUP
"PKG",192,22,1,"PAH",1,1,59,0)
 --------------------------------DISCONTINUED--------------------------------
"PKG",192,22,1,"PAH",1,1,60,0)
 1 100005604$    TOBRAMYCIN 80MG/2ML INJ           100 DC>B01-21 01-21   0  9
"PKG",192,22,1,"PAH",1,1,61,0)
  
"PKG",192,22,1,"PAH",1,1,62,0)
 
"PKG",192,22,1,"PAH",1,1,63,0)
The following Integrated Billing copay functionality was modified:
"PKG",192,22,1,"PAH",1,1,64,0)
  
"PKG",192,22,1,"PAH",1,1,65,0)
1. Cancel/Edit/Add Patient Charges [IB CANCEL/EDIT/ADD CHARGES]
"PKG",192,22,1,"PAH",1,1,66,0)
   This menu option was modified to allow up to 12 copay units to be added
"PKG",192,22,1,"PAH",1,1,67,0)
   for a patient. Before the maximum limit was 3 given that 90 days supply
"PKG",192,22,1,"PAH",1,1,68,0)
   corresponded to 3 copay units (1 unit for each 30 days supply)
"PKG",192,22,1,"PAH",1,1,69,0)
  
"PKG",192,22,1,"PAH",1,1,70,0)
2. The upper limit for the value allowed for the DAYS SUPPLY field (#.06) in
"PKG",192,22,1,"PAH",1,1,71,0)
   the IB BILL/CLAIMS PRESCRIPTION REFILL file (#362.4) was changed from 90
"PKG",192,22,1,"PAH",1,1,72,0)
   to 365 in order to accomodate the new limit for this field in the
"PKG",192,22,1,"PAH",1,1,73,0)
   Outpatient Pharmacy application.
"QUES","XPF1",0)
Y
"QUES","XPF1","??")
^D REP^XPDH
"QUES","XPF1","A")
Shall I write over your |FLAG| File
"QUES","XPF1","B")
YES
"QUES","XPF1","M")
D XPF1^XPDIQ
"QUES","XPF2",0)
Y
"QUES","XPF2","??")
^D DTA^XPDH
"QUES","XPF2","A")
Want my data |FLAG| yours
"QUES","XPF2","B")
YES
"QUES","XPF2","M")
D XPF2^XPDIQ
"QUES","XPI1",0)
YO
"QUES","XPI1","??")
^D INHIBIT^XPDH
"QUES","XPI1","A")
Want KIDS to INHIBIT LOGONs during the install
"QUES","XPI1","B")
NO
"QUES","XPI1","M")
D XPI1^XPDIQ
"QUES","XPM1",0)
PO^VA(200,:EM
"QUES","XPM1","??")
^D MG^XPDH
"QUES","XPM1","A")
Enter the Coordinator for Mail Group '|FLAG|'
"QUES","XPM1","B")

"QUES","XPM1","M")
D XPM1^XPDIQ
"QUES","XPO1",0)
Y
"QUES","XPO1","??")
^D MENU^XPDH
"QUES","XPO1","A")
Want KIDS to Rebuild Menu Trees Upon Completion of Install
"QUES","XPO1","B")
NO
"QUES","XPO1","M")
D XPO1^XPDIQ
"QUES","XPZ1",0)
Y
"QUES","XPZ1","??")
^D OPT^XPDH
"QUES","XPZ1","A")
Want to DISABLE Scheduled Options, Menu Options, and Protocols
"QUES","XPZ1","B")
NO
"QUES","XPZ1","M")
D XPZ1^XPDIQ
"QUES","XPZ2",0)
Y
"QUES","XPZ2","??")
^D RTN^XPDH
"QUES","XPZ2","A")
Want to MOVE routines to other CPUs
"QUES","XPZ2","B")
NO
"QUES","XPZ2","M")
D XPZ2^XPDIQ
"RTN")
1
"RTN","IBECEAU2")
0^1^B20399416
"RTN","IBECEAU2",1,0)
IBECEAU2 ;ALB/CPM-Cancel/Edit/Add... User Prompts ; 19-APR-93
"RTN","IBECEAU2",2,0)
 ;;2.0;INTEGRATED BILLING;**7,52,153,176,545**;21-MAR-94;Build 8
"RTN","IBECEAU2",3,0)
 ;;Per VHA Directive 10-93-142, this routine should not be modified.
"RTN","IBECEAU2",4,0)
 ;
"RTN","IBECEAU2",5,0)
REAS(IBX) ; Ask for the cancellation reason.
"RTN","IBECEAU2",6,0)
 ; Input:   IBX  --  "C" (Cancel a charge), "E" (Edit a Charge)
"RTN","IBECEAU2",7,0)
 S DIC="^IBE(350.3,",DIC(0)="AEMQZ",DIC("A")="Select "_$S(IBX="E":"EDIT",1:"CANCELLATION")_" REASON: "
"RTN","IBECEAU2",8,0)
 S DIC("S")=$S(IBXA=7:"I 1",IBXA=6:"I $P(^(0),U,3)=3",IBXA=5:"I ($P(^(0),U,3)=1)!($P(^(0),U,3)=3)",1:"I ($P(^(0),U,3)=2)!($P(^(0),U,3)=3)")
"RTN","IBECEAU2",9,0)
 D ^DIC K DIC S IBCRES=+Y I Y<0 W !!,"No ",$S(IBX="E":"edit",1:"cancellation")," reason entered - the transaction cannot be completed."
"RTN","IBECEAU2",10,0)
 Q
"RTN","IBECEAU2",11,0)
 ;
"RTN","IBECEAU2",12,0)
UNIT(DEF) ; Ask for units for Rx copay charges
"RTN","IBECEAU2",13,0)
 ; Input:   DEF  --  Default value if previous charge is to be displayed
"RTN","IBECEAU2",14,0)
 N DA,DIR,DIRUT,DUOUT,DTOUT,X,X1,Y
"RTN","IBECEAU2",15,0)
 S DA=IBATYP,IBDESC="RX COPAYMENT" D COST^IBAUTL S IBCHG=X1
"RTN","IBECEAU2",16,0)
 S DIR(0)="N^::0^K:X<1!(X>12) X",DIR("A")="Units",DIR("?")="^D HUN^IBECEAU2"
"RTN","IBECEAU2",17,0)
 S:DEF DIR("B")=DEF D ^DIR I Y S IBUNIT=Y,IBCHG=IBCHG*Y
"RTN","IBECEAU2",18,0)
 I 'Y W !!,"Units not entered - transaction cannot be completed." S IBY=-1
"RTN","IBECEAU2",19,0)
 Q
"RTN","IBECEAU2",20,0)
 ;
"RTN","IBECEAU2",21,0)
FR(DEF) ; Ask Bill From Date
"RTN","IBECEAU2",22,0)
 ; Input:   DEF  --  Default value if previous charge is to be displayed
"RTN","IBECEAU2",23,0)
 N DA,DIR,DIRUT,DUOUT,DTOUT,X,X1,Y
"RTN","IBECEAU2",24,0)
FRA S:$G(DEF) DIR("B")=$$DAT2^IBOUTL(DEF)
"RTN","IBECEAU2",25,0)
 S DIR(0)="DA^2901001:"_IBLIM_":EX",DIR("A")=$S(IBXA=4!(IBXA=7):"Visit Date: ",1:"Charge for services from: "),DIR("?")="^D HFR^IBECEAU2"
"RTN","IBECEAU2",26,0)
 D ^DIR K DIR S IBFR=Y I 'Y W !!,$S(IBXA=4!(IBXA=7):"Visit",1:"Bill From")," Date not entered - transaction cannot be completed." S IBY=-1 G FRQ
"RTN","IBECEAU2",27,0)
 I IBXA=7 G FRQ
"RTN","IBECEAU2",28,0)
 I IBXA'=8,IBXA'=9,'$$BIL^DGMTUB(DFN,IBFR+.24) D CATC G FRA
"RTN","IBECEAU2",29,0)
 I IBXA>7,IBXA<10,$$LTCST^IBAECU(DFN,IBFR,1)<2 W !,"This patient is not LTC billable on this date.",! G FRA
"RTN","IBECEAU2",30,0)
 I IBXA=4,$$BFO^IBECEAU(DFN,IBFR) W !!,"This patient has already been billed the outpatient copay charge for ",$$DAT1^IBOUTL(IBFR),".",! G FRA
"RTN","IBECEAU2",31,0)
FRQ Q
"RTN","IBECEAU2",32,0)
 ;
"RTN","IBECEAU2",33,0)
TO(DEF) ; Ask Bill To Date
"RTN","IBECEAU2",34,0)
 ; Input:   DEF  --  Default value if previous charge is to be displayed
"RTN","IBECEAU2",35,0)
 N DA,DIR,DIRUT,DUOUT,DTOUT,X,X1,Y
"RTN","IBECEAU2",36,0)
TOA S:$G(DEF) DIR("B")=$$DAT2^IBOUTL(DEF)
"RTN","IBECEAU2",37,0)
 S DIR(0)="DA^"_IBFR_":"_IBLIM_":EX",DIR("A")="  Charge for services to: ",DIR("?")="^D HTO^IBECEAU2"
"RTN","IBECEAU2",38,0)
 D ^DIR K DIR S IBTO=Y I 'Y W !!,"Bill To date not entered - transaction cannot be completed." S IBY=-1 G TOQ
"RTN","IBECEAU2",39,0)
 I IBTO'=IBFR,'$$BIL^DGMTUB(DFN,$S(IBXA=3&'$G(DEF):$$FMADD^XLFDT(IBTO,-1),1:IBTO)+.24),IBXA'=8,IBXA'=9 D CATC G TOA
"RTN","IBECEAU2",40,0)
TOQ Q
"RTN","IBECEAU2",41,0)
 ;
"RTN","IBECEAU2",42,0)
FEE(DEF) ; Ask for Fee Amount
"RTN","IBECEAU2",43,0)
 ; Input:   DEF  --  Default value if previous charge is to be displayed
"RTN","IBECEAU2",44,0)
 N DIR,DIRUT,DUOUT,DTOUT,X,Y
"RTN","IBECEAU2",45,0)
 S:$G(DEF) DIR("B")=DEF
"RTN","IBECEAU2",46,0)
 S DIR(0)="NA^::2^K:X<0!(X>(IBMED-IBCLDOL)) X",DIR("A")="              Fee Amount: ",DIR("?")="^D HFEE^IBECEAU2"
"RTN","IBECEAU2",47,0)
 D ^DIR S IBCHG=Y I 'Y W !!,"Charge not entered - transaction cannot be completed." S IBY=-1
"RTN","IBECEAU2",48,0)
 Q
"RTN","IBECEAU2",49,0)
 ;
"RTN","IBECEAU2",50,0)
AMT ; Ask for Charge Amount
"RTN","IBECEAU2",51,0)
 N DIR,DIRUT,DUOUT,DTOUT,X,Y
"RTN","IBECEAU2",52,0)
 S DIR(0)="NA^::2^K:X<0!(X>99999) X",DIR("A")="Charge Amount: ",DIR("?")="^D HAMT^IBECEAU2"
"RTN","IBECEAU2",53,0)
 D ^DIR S IBCHG=Y I 'Y W !!,"Charge not entered - transaction cannot be completed." S IBY=-1
"RTN","IBECEAU2",54,0)
 Q
"RTN","IBECEAU2",55,0)
 ;
"RTN","IBECEAU2",56,0)
CATC ; Display that patient is not Means Test billable.
"RTN","IBECEAU2",57,0)
 W !!,"The patient ",$S(IBFR<DT:"was",1:"is")," not Means Test billable on this date.",!
"RTN","IBECEAU2",58,0)
 Q
"RTN","IBECEAU2",59,0)
 ;
"RTN","IBECEAU2",60,0)
HUN ; Help for units
"RTN","IBECEAU2",61,0)
 W !!,"Please enter 1, 2, 3, ...,12 to denote a 30, 60, 90, ...,360 days supply of"
"RTN","IBECEAU2",62,0)
 W !,"medication, or '^' to quit."
"RTN","IBECEAU2",63,0)
 Q
"RTN","IBECEAU2",64,0)
 ;
"RTN","IBECEAU2",65,0)
HFR ; Help for Bill From date
"RTN","IBECEAU2",66,0)
 W !!,"Please enter the ",$S(IBXA=4!(IBXA=7):"patient's outpatient visit date",1:"'Bill From' date for this charge"),", which must follow"
"RTN","IBECEAU2",67,0)
 W !,"10/1/90",$S(IBXA=4!(IBXA=7):"",1:" (and be prior to today)"),", or '^' to quit."
"RTN","IBECEAU2",68,0)
 Q
"RTN","IBECEAU2",69,0)
 ;
"RTN","IBECEAU2",70,0)
HTO ; Help for Bill To date
"RTN","IBECEAU2",71,0)
 W !!,"Please enter the 'Bill To' date for this charge, which may not precede"
"RTN","IBECEAU2",72,0)
 W !,$$DAT1^IBOUTL(IBFR),", or '^' to quit."
"RTN","IBECEAU2",73,0)
 Q
"RTN","IBECEAU2",74,0)
 ;
"RTN","IBECEAU2",75,0)
HFEE ; Help for Fee Amount
"RTN","IBECEAU2",76,0)
 W !!,"Please enter the charge for this Fee Service, which may not be greater than"
"RTN","IBECEAU2",77,0)
 W !,"the difference between the Medicare Deductible amount and the "
"RTN","IBECEAU2",78,0)
 W $$INPT^IBECEAU(IBCLDAY)," 90 days",!,"copay billed ($",IBMED-IBCLDOL,"), or '^' to quit."
"RTN","IBECEAU2",79,0)
 Q
"RTN","IBECEAU2",80,0)
 ;
"RTN","IBECEAU2",81,0)
HAMT ; Help for Charge Amount
"RTN","IBECEAU2",82,0)
 W !!,"Please enter the charge for this copayment."
"RTN","IBECEAU2",83,0)
 Q
"VER")
8.0^22.0
"^DD",362.4,362.4,.06,0)
DAYS SUPPLY^NJ3,0^^0;6^K:+X'=X!(X>365)!(X<1)!(X?.E1"."1.N) X
"^DD",362.4,362.4,.06,3)
Type a number between 1 and 365, 0 decimal digits.
"^DD",362.4,362.4,.06,21,0)
^^1^1^2940110^^^^
"^DD",362.4,362.4,.06,21,1,0)
This should be the number of days supplied of the drug dispensed in this refill.
"^DD",362.4,362.4,.06,23,0)
^^1^1^2940110^^^
"^DD",362.4,362.4,.06,23,1,0)
Passed from (52,8) 
"^DD",362.4,362.4,.06,"DT")
3150318
**END**
**END**
